from fastapi import FastAPI, Response, Request 

from fastapi.responses import JSONResponse

app = FastAPI()

from updateDatabase import *

pluriDBupdater = PluritonUpdater()

pluriDBupdater.loadModels()


@app.post("/datext", response_class=JSONResponse)
async def root(data: Request):
    
    text_bytes = await data.body()
    
    text = str(text_bytes)

    print(text)

    einfach, schwer = pluriDBupdater.searchNearest2Translate(text)
    
    einfachstr = ''
    schwerstr = ''
    
    for word in einfach:
        einfachstr += word + ' '
    for word in schwer:
        schwerstr += word + ' '

    daresponse = einfachstr + '?&?&' + schwerstr


    return JSONResponse(content=daresponse)

